# Uses of Class
org.eclipse.draw2d.text.BlockFlow

Packages that use BlockFlow
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of BlockFlow in org.eclipse.draw2d.text

Subclasses of BlockFlow in org.eclipse.draw2d.text
Modifier and Type
Class
Description
`class`
`FlowPage`
The root of a Flow hierarchy.
Methods in org.eclipse.draw2d.text that return BlockFlow
Modifier and Type
Method
Description
`protected final BlockFlow`
BlockFlowLayout.`getBlockFlow()`
Returns the BlockFlow associated with this BlockFlowLayout
Constructors in org.eclipse.draw2d.text with parameters of type BlockFlow
Modifier
Constructor
Description
``
`BlockFlowLayout(BlockFlow blockFlow)`
Creates a new BlockFlowLayout with the given BlockFlow.